package file_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type FileDecryptRequest struct {
	// <ext>format:phone;core:true</ext> 【解密手机号】解密手机号 【作用】 传入待解密数据加密时使用的手机号，进行文件解密，否则无法解密成功过 【传参】 手机号允许使用大陆、港澳台、国际手机号，手机号格式为：区号+空格+手机号，例：852 9xxxxxxx ，大陆手机号可以不传区号。
	Contact string `json:"contact"`
	// <ext>core:true</ext> 【手机号验证码】手机号验证码 【作用】 用于手机号的意愿校验 【传参】 调用此接口前请先调用 <docs>/file/pin</docs>（加解密鉴权）获取手机号验证码
	Pin string `json:"pin"`
	// <ext>core:true</ext> 【要解密的数据】要解密的数据 【传参】 传入base64格式，支持传入多条，上限50条，请确保所有待解密数据由同一个手机号进行加密生成
	Files []string `json:"files,omitempty"`
}

func (obj FileDecryptRequest) GetUrl() string {
	return "/file/decrypt"
}

func (obj FileDecryptRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
